declare const _default: import("vue").DefineComponent<{
    /**
     * Modal title
     */
    title: {
        type: StringConstructor;
        required: true;
    };
    classDialog: {
        type: (ObjectConstructor | StringConstructor)[];
        default: null;
    };
    hideHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
    hideBody: {
        type: BooleanConstructor;
        default: boolean;
    };
    hideFooter: {
        type: BooleanConstructor;
        default: boolean;
    };
}, unknown, unknown, {}, {
    /**
     * Trigger modal hide event.
     */
    hide(): void;
    /**
     * Shown event.
     */
    onShown(): void;
    /**
     * Hidden event.
     */
    onHidden(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("hidden" | "shown")[], "hidden" | "shown", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Modal title
     */
    title: {
        type: StringConstructor;
        required: true;
    };
    classDialog: {
        type: (ObjectConstructor | StringConstructor)[];
        default: null;
    };
    hideHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
    hideBody: {
        type: BooleanConstructor;
        default: boolean;
    };
    hideFooter: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    onHidden?: ((...args: any[]) => any) | undefined;
    onShown?: ((...args: any[]) => any) | undefined;
}, {
    classDialog: string | Record<string, any>;
    hideHeader: boolean;
    hideBody: boolean;
    hideFooter: boolean;
}, {}>;
export default _default;
