import { PropType } from 'vue';
interface BreadcrumbItem {
    route?: {
        name: string;
    };
    title: string;
}
declare const _default: import("vue").DefineComponent<{
    /**
     * List of breadcrumb items.
     */
    items: {
        type: PropType<BreadcrumbItem[]>;
        required: true;
    };
}, unknown, unknown, {}, {
    /**
     * Is route available
     *
     * @param item
     * @returns {boolean}
     */
    isRouteAvailable(item: any): boolean;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * List of breadcrumb items.
     */
    items: {
        type: PropType<BreadcrumbItem[]>;
        required: true;
    };
}>>, {}, {}>;
export default _default;
